[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-docs] 01/02: ci: add basic ci setup
From: |
gnunet |
Subject: |
[taler-docs] 01/02: ci: add basic ci setup |
Date: |
Mon, 17 Jul 2023 18:01:12 +0200 |
This is an automated email from the git hooks/post-receive script.
devan-carpenter pushed a commit to branch master
in repository docs.
commit 88028bc85ff1c775bfeb067b14aecac1852d461e
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Mon Jul 17 00:36:15 2023 -0400
ci: add basic ci setup
---
ci/Containerfile | 21 +++++++++++++++++++++
ci/jobs/0-build/build-docs.sh | 12 ++++++++++++
ci/jobs/0-build/job.sh | 6 ++++++
3 files changed, 39 insertions(+)
diff --git a/ci/Containerfile b/ci/Containerfile
new file mode 100644
index 00000000..c757a886
--- /dev/null
+++ b/ci/Containerfile
@@ -0,0 +1,21 @@
+FROM docker.io/library/debian:bookworm-slim
+
+ENV DEBIAN_FRONTEND=noninteractive
+
+# Install docs generation utils
+RUN apt-get update -yqq && \
+ apt-get install -yqq --no-install-recommends \
+ make \
+ graphviz \
+ python3-sphinx \
+ python3-recommonmark \
+ texlive-latex-extra \
+ texlive-fonts-recommended \
+ tex-gyre \
+ dvipng \
+ latexmk \
+ && rm -rf /var/lib/apt/lists/*
+
+WORKDIR /workdir
+
+CMD ["bash", "/workdir/ci/jobs/0-build/job.sh"]
diff --git a/ci/jobs/0-build/build-docs.sh b/ci/jobs/0-build/build-docs.sh
new file mode 100755
index 00000000..82f16f35
--- /dev/null
+++ b/ci/jobs/0-build/build-docs.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -eu
+
+make html
+make latexpdf
+
+mkdir -p $HOME/build/docs/html/
+mkdir -p $HOME/build/docs/pdf/
+
+cp -r _build/html/* $HOME/build/docs/html/
+cp -r _build/latex/*.pdf $HOME/build/docs/pdf/
diff --git a/ci/jobs/0-build/job.sh b/ci/jobs/0-build/job.sh
new file mode 100755
index 00000000..627aecf0
--- /dev/null
+++ b/ci/jobs/0-build/job.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -exuo pipefail
+
+job_dir=$(dirname "${BASH_SOURCE[0]}")
+
+"${job_dir}"/build-docs.sh
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.